
function BrowserLanguageCode(){
const language = navigator.language || navigator.languages[0] || 'en';
const languageCode = language.split('-')[0].toLowerCase();
return languageCode;
}
function Loc(key,...params){
let str=STRINGS[key];
if(!str)str=key;
params.forEach((param,index)=>{
const value =(param === undefined || param === null)? '' : param;
str = str.replace(`{${index}}`,value);
});
return str;
}
function LocGeo(key){
return(typeof STRINGS_GEO==='object' && STRINGS_GEO[key])|| key;
}
